WordPress 4.7
[autoinstalls/wordpress.git] / wp-includes / class-wp-widget.php
index 44f3686ddc3ca20598a84e68c8001ac91601dd45..b69b219cd95d057fed3fbca95cfeadee1a408f16 100644 (file)
@@ -10,7 +10,7 @@
 /**
  * Core base class extended to register widgets.
  *
- * This class must be extended for each widget, and WP_Widget::widget() must be overriden.
+ * This class must be extended for each widget, and WP_Widget::widget() must be overridden.
  *
  * If adding widget options, WP_Widget::update() and WP_Widget::form() should also be overridden.
  *
@@ -37,6 +37,24 @@ class WP_Widget {
         */
        public $name;
 
+       /**
+        * Option name for this widget type.
+        *
+        * @since 2.8.0
+        * @access public
+        * @var string
+        */
+       public $option_name;
+
+       /**
+        * Alt option name for this widget type.
+        *
+        * @since 2.8.0
+        * @access public
+        * @var string
+        */
+       public $alt_option_name;
+
        /**
         * Option array passed to wp_register_sidebar_widget().
         *
@@ -86,7 +104,7 @@ class WP_Widget {
        public $updated = false;
 
        //
-       // Member functions that must be overriden by subclasses.
+       // Member functions that must be overridden by subclasses.
        //
 
        /**